<?xml version="1.0" encoding="UTF-8"?>
<configuration>
    <include resource="org/springframework/boot/logging/logback/defaults.xml"/>
    ​
    <springProperty scope="context" name="springAppName" source="spring.application.name"/>
    <springProperty scope="context" name="loggingPath" source="logging.file"/>

    <property name="APP_NAME" value="${springAppName:-spring-not-ready}"/>

    <property name="LOG_FILE" value="./build/logs/social-api.log"/>​

    <property name="CONSOLE_LOG_PATTERN" value="%d{yyyy-MM-dd HH:mm:ss.SSS} [%thread] %5p [${APP_NAME}, traceId: %X{X-B3-TraceId:-}, SpanId: %X{X-B3-SpanId:-}] %msg%n"/>

    <appender name="console" class="ch.qos.logback.core.ConsoleAppender">
        <encoder>
            <pattern>${CONSOLE_LOG_PATTERN}</pattern>
            <charset>utf8</charset>
        </encoder>
    </appender>

    <appender name="file" class="ch.qos.logback.core.FileAppender">
        <file>${LOG_FILE}</file>
        <encoder>
            <pattern>${CONSOLE_LOG_PATTERN}</pattern>
            <charset>utf8</charset>
        </encoder>
    </appender>

    <root>
        <appender-ref ref="console"/>
        <appender-ref ref="file"/>
    </root>
</configuration>